Get the results of the product transaction detail report as an xlsx file
Body·
application/json
- Type: string | nullattribute
Description The product attribute description to filter by
- Type: string | nullbatch
The product batch to filter by
- Type: string | nullFormat: datebest
Before Date The product best before date to filter by
- Type: string | nullFormat: uuidclient
Partner Id The client partner to filter by
- Type: string | nullFormat: datedate
From deprecatedThe start date in the transaction date range
- Type: string | nullFormat: datedate
To deprecatedThe end date in the transaction date range
- Type: string | nullFormat: dateexpiry
Date The product expiry date to filter by
- Type: string | nullFormat: datefrom
Date Time The start date/time of the transaction date range
- Type: string | nullFormat: datepackaging
Date The product packaging date to filter by
- Type: string | nullFormat: uuidpartner
Product Id The product to filter by
- Type: string | nullFormat: uuidproduct
Attribute Id The product attribute to filter by
- Type: string | nullFormat: dateproduction
Date The product production date to filter by
Responses
- 200
OK
Request Example for post/v1/reports/product-transaction-detail/xlsx
curl https://api.consignlyhq.com/v1/reports/product-transaction-detail/xlsx \
--request POST \
--header 'Content-Type: application/json' \
--data '{
"fromDateTime": "datetime (YYYY-MM-DDTHH:MM:SSZ)",
"toDateTime": "datetime (YYYY-MM-DDTHH:MM:SSZ)",
"types": [
"enum (Adjustment = 1, Transfer = 2, Receive = 3, Hold = 4, Pick = 5, Dispatch = 6)"
],
"warehouseId": null,
"clientPartnerId": null,
"partnerProductId": null,
"receivedDate": "date (YYYY-MM-DD)",
"batch": null,
"bestBeforeDate": "date (YYYY-MM-DD)",
"expiryDate": "date (YYYY-MM-DD)",
"packagingDate": "date (YYYY-MM-DD)",
"productionDate": "date (YYYY-MM-DD)",
"sellByDate": "date (YYYY-MM-DD)",
"productAttributeId": null,
"attributeDescription": null
}'
No Body